# Poco::Util

# class Validator

Library: Util
Package: Options
Header: Poco/Util/Validator.h

## Description

Validator specifies the interface for option validators.

Option validators provide a simple way for the automatic validation of command line argument values.

## Inheritance

Direct Base Classes: Poco::RefCountedObject

All Base Classes: Poco::RefCountedObject

Known Derived Classes: IntValidator, RegExpValidator

## Member Summary

Member Functions: validate

Inherited Functions: duplicate, referenceCount, release

## Constructors

### Validator

Validator();

Creates the Validator.

## Destructor

### ~Validator

virtual ~Validator();

Destroys the Validator.

## Member Functions

### validate

virtual void validate(
const Option & option,
const std::string & value
) = 0;

Validates the value for the given option. Does nothing if the value is valid.

Throws an OptionException otherwise.